#!/usr/local/bin/perl

# logfile.pl
#
# LogItem()
#

require 'datetime.pl';
use FileHandle;

###############################################################################
# Procedure:   LogItem
#
# Description: Writes the string to the log file.  Used for debugging.
#
# Parameters:  $string - The string to write.
#
# Return vals: (n/a)
###############################################################################
sub LogItem {
	if($LOG_FILE_ON == 0) {
		return;
	}

    local($string) = @_;

	if($userID eq '') {
	   $user = "Unknown";
	}
	else {
	   $user = $userID;	# Get from Compressed Cookie in web_access.cgi
	}

    if ($ENV{'REMOTE_ADDR'} ne '') {
		$user = "$ENV{'REMOTE_ADDR'} - $user";
	}

	sysopen( HANDLE, $LOG_FILE_NAME, O_RDWR|O_CREAT|O_APPEND);
	$curDate = CurrentShortDate;
	$curTime = CurrentTime;
	HANDLE->autoflush(1);
	HANDLE->print("[$curDate $curTime]: <$user> :$string\n");
	close HANDLE;
}

# Needed for reuire statement in Main

1;